Public Class rekening

    Private nummer As Integer
    Private saldo As Integer
    Private creatiedatum As Date


    Public Sub New()
        nummer = 0
        saldo = 0
        creatiedatum = Date.Today
    End Sub

    Public Sub New(ByVal nummerValue As Integer, ByVal saldoValue As Integer, ByVal creatiedatumValue As Date)
        nummer = nummerValue
        saldo = saldoValue
        creatiedatum = creatiedatumValue

    End Sub

    Public Property nummerProp() As Integer
        Get
            Return nummer
        End Get
        Set(ByVal nummerValue As Integer)
            nummer = nummerValue
        End Set
    End Property

    Public Property saldoProp() As Integer
        Get
            Return saldo
        End Get
        Set(ByVal saldoValue As Integer)
            saldo = saldoValue
        End Set
    End Property

    Public Property creatieProp() As Date
        Get
            Return creatiedatum
        End Get
        Set(ByVal creatiedatumValue As Date)
            creatiedatum = creatiedatumValue
        End Set
    End Property

    Public Sub storten(ByVal bedrag As Integer)
        saldo = saldo + bedrag
    End Sub

End Class
